#include <bits/stdc++.h>
using namespace std;
int Resi(int n, int k, int* l, char** a, char* s){
    if(n==2){
        if(l[0]<l[1]){//prva je duza
            for(int i=0; i<l[i]; ++i){
                char t=a[0][i];
                a[0][i]=a[1][i];
                a[1][i]=t;
            }
            int t=l[0]; l[0]=l[1]; l[1]=t;
        }
        for(int i=0; i<l[0]-l[1]; ++i){
            bool r=false;
            for(int j=0; j<l[1]; ++j){
                if(a[0][i+j]!=a[1][j]) {
                        r=true;
                        break;
                }
            }
            if(!r) return -1;
        }//znam dapostoji string, samo da vidim najveci zajedni su/prefiks
        int pre=true, d=-1;
        for(int i=0; i<l[1]; ++i){
            if(a[0][l[0]-1-i]==a[1][i]){
                d=i;
                pre=true;
                continue;
            }
            if(a[1][l[1]-1-i]==a[0][i]){
                d=i;
                pre=false;
                continue;
            }
            break;
        }
        if(pre){
            for(int i=1; i<=l[0]+l[1]-d-1; ++i){
                if(i<=l[0]) s[i]=a[0][i-1];
                else s[i]=a[1][i-l[0]+d];
            }
            return l[0]+l[1]-d-1;
        }
        for(int i=1; i<=l[0]+l[1]-d-1; ++i){
                if(i<=l[1]) s[i]=a[1][i-1];
                else s[i]=a[0][i-l[1]+d];
            }
            return l[0]+l[1]-d-1;
    }
}